# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: portfolios.proto

require 'google/protobuf'

require 'google/protobuf/timestamp_pb'
require 'google/protobuf/wrappers_pb'
require 'transaction_pb'
Google::Protobuf::DescriptorPool.generated_pool.build do
  add_file("portfolios.proto", :syntax => :proto3) do
    add_message "Radar.EquitySource" do
      optional :equity, :string, 1
    end
    add_message "Radar.InterestOnOwnCapital" do
      optional :equity, :string, 1
    end
    add_message "Radar.Event" do
      optional :date, :message, 1, "google.protobuf.Timestamp"
      oneof :type do
        optional :cash_flow, :message, 20, "Radar.Event.CashFlow"
        optional :portfolio, :message, 21, "Radar.Event.Portfolio"
        optional :position_month_tax, :message, 22, "Radar.Event.PositionMonthTax"
        optional :stock_exempt_month_tax, :message, 23, "Radar.Event.StockExemptMonthTax"
        optional :accumulated_tax_credit, :message, 24, "Radar.Event.AccumulatedTaxCredit"
        optional :monthly_sell, :message, 25, "Radar.Event.MonthlySell"
        optional :monthly_stock_exemption_period_profit, :message, 26, "Radar.Event.MonthlyStockExemptionPeriodProfit"
      end
    end
    add_message "Radar.Event.EquitySource" do
      optional :symbol, :string, 1
      optional :type, :enum, 2, "Radar.Event.EquityType"
    end
    add_message "Radar.Event.Source" do
      oneof :type do
        optional :other, :string, 1
        optional :equity, :message, 2, "Radar.Event.EquitySource"
      end
    end
    add_message "Radar.Event.CashFlow" do
      optional :type, :enum, 1, "Radar.Event.CashFlow.Type"
      optional :value, :double, 2
      optional :source, :message, 3, "Radar.Event.Source"
    end
    add_enum "Radar.Event.CashFlow.Type" do
      value :OTHER, 0
      value :DIVIDEND, 1
      value :INTEREST_ON_OWN_CAPITAL, 2
      value :BONUS, 3
    end
    add_message "Radar.Event.Portfolio" do
      repeated :position, :message, 1, "Radar.Event.Portfolio.Position"
      repeated :provision, :message, 2, "Radar.Event.Portfolio.Provision"
      optional :rate_of_return, :double, 3
    end
    add_message "Radar.Event.Portfolio.Position" do
      optional :id, :string, 1
      optional :shares, :int32, 2
      optional :value, :double, 3
      optional :avg_price, :double, 4
      optional :equity_type, :enum, 5, "Radar.Event.EquityType"
    end
    add_message "Radar.Event.Portfolio.Provision" do
      optional :value, :double, 1
      optional :source, :string, 2
    end
    add_message "Radar.Event.PositionMonthTax" do
      optional :position_type, :enum, 1, "Radar.Event.PositionType"
      optional :equity_type, :enum, 2, "Radar.Event.EquityType"
      optional :value, :double, 3
    end
    add_message "Radar.Event.StockExemptMonthTax" do
      optional :value, :double, 1
    end
    add_message "Radar.Event.AccumulatedTaxCredit" do
      optional :swing_trade, :double, 1
      optional :day_trade, :double, 2
      optional :reit, :double, 3
    end
    add_message "Radar.Event.MonthlySell" do
      optional :swing_trade, :double, 1
      optional :reit, :double, 2
    end
    add_message "Radar.Event.MonthlyStockExemptionPeriodProfit" do
      optional :value, :double, 1
      optional :source, :string, 2
    end
    add_enum "Radar.Event.PositionType" do
      value :SWING_TRADE, 0
      value :DAY_TRADE, 1
    end
    add_enum "Radar.Event.EquityType" do
      value :OTHER, 0
      value :STOCK, 1
      value :OPTION, 2
      value :REIT, 3
      value :SUBSCRIPTION_RIGHT, 4
    end
    add_message "Radar.RunReq" do
      optional :user_id, :string, 1
      optional :portfolio_id, :string, 2
      repeated :events, :enum, 3, "Radar.RunReq.Event"
      optional :upto, :message, 4, "google.protobuf.Timestamp"
    end
    add_enum "Radar.RunReq.Event" do
      value :CASH_FLOW, 0
      value :EACH_DAY, 1
      value :EACH_MONTH, 2
    end
    add_message "Radar.GetInitialTaxCreditReq" do
      optional :user_id, :string, 1
      optional :portfolio_id, :string, 2
    end
    add_message "Radar.GetInitialTaxCreditResp" do
      optional :swing_trade, :message, 1, "google.protobuf.DoubleValue"
      optional :day_trade, :message, 2, "google.protobuf.DoubleValue"
      optional :reit, :message, 3, "google.protobuf.DoubleValue"
    end
    add_message "Radar.SetInitialTaxCreditReq" do
      optional :user_id, :string, 1
      optional :portfolio_id, :string, 2
      optional :swing_trade, :message, 3, "google.protobuf.DoubleValue"
      optional :day_trade, :message, 4, "google.protobuf.DoubleValue"
      optional :reit, :message, 5, "google.protobuf.DoubleValue"
    end
    add_message "Radar.SetInitialTaxCreditResp" do
      optional :swing_trade, :message, 1, "google.protobuf.DoubleValue"
      optional :day_trade, :message, 2, "google.protobuf.DoubleValue"
      optional :reit, :message, 3, "google.protobuf.DoubleValue"
    end
    add_message "Radar.GetPositionSnapshotsReq" do
      optional :user_id, :string, 1
      optional :portfolio_id, :string, 2
    end
    add_message "Radar.GetPositionSnapshotsResp" do
      repeated :position_snapshots, :message, 1, "Radar.EquityPositionSnapshot"
    end
    add_message "Radar.SetPositionSnapshotsReq" do
      optional :user_id, :string, 1
      optional :portfolio_id, :string, 2
      repeated :position_snapshots, :message, 3, "Radar.EquityPositionSnapshot"
    end
    add_message "Radar.SetPositionSnapshotsResp" do
      repeated :position_snapshots, :message, 1, "Radar.EquityPositionSnapshot"
    end
  end
end

module Radar
  EquitySource = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.EquitySource").msgclass
  InterestOnOwnCapital = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.InterestOnOwnCapital").msgclass
  Event = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event").msgclass
  Event::EquitySource = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.EquitySource").msgclass
  Event::Source = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.Source").msgclass
  Event::CashFlow = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.CashFlow").msgclass
  Event::CashFlow::Type = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.CashFlow.Type").enummodule
  Event::Portfolio = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.Portfolio").msgclass
  Event::Portfolio::Position = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.Portfolio.Position").msgclass
  Event::Portfolio::Provision = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.Portfolio.Provision").msgclass
  Event::PositionMonthTax = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.PositionMonthTax").msgclass
  Event::StockExemptMonthTax = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.StockExemptMonthTax").msgclass
  Event::AccumulatedTaxCredit = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.AccumulatedTaxCredit").msgclass
  Event::MonthlySell = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.MonthlySell").msgclass
  Event::MonthlyStockExemptionPeriodProfit = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.MonthlyStockExemptionPeriodProfit").msgclass
  Event::PositionType = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.PositionType").enummodule
  Event::EquityType = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.Event.EquityType").enummodule
  RunReq = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.RunReq").msgclass
  RunReq::Event = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.RunReq.Event").enummodule
  GetInitialTaxCreditReq = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.GetInitialTaxCreditReq").msgclass
  GetInitialTaxCreditResp = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.GetInitialTaxCreditResp").msgclass
  SetInitialTaxCreditReq = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.SetInitialTaxCreditReq").msgclass
  SetInitialTaxCreditResp = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.SetInitialTaxCreditResp").msgclass
  GetPositionSnapshotsReq = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.GetPositionSnapshotsReq").msgclass
  GetPositionSnapshotsResp = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.GetPositionSnapshotsResp").msgclass
  SetPositionSnapshotsReq = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.SetPositionSnapshotsReq").msgclass
  SetPositionSnapshotsResp = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("Radar.SetPositionSnapshotsResp").msgclass
end
